アップデートサブスクリプション(というかRAD Studio全バージョン)の規約変更


ウォレス  2019-11-14 12:40:19  No: 148378

割と最近ですが、アップデートサブスクリプション(というかRAD Studio全バージョン)の規約変更なされた模様で、
アップデートサブスクリプション未加入だとインストール回数上限が設定され、その回数を超えてインストールができなくなったようです。
これは何故か、かつての古いRADStudio20010などのアップデートサブスクリプションではなかったバージョンにも適用され、上限回数を超えてインストールができなくなっています。
恐ろしい規約変更ですが皆さんどうしてますか?
もうダメかもわからんね。。。


take  2019-11-14 13:32:08  No: 148379

>インストールできなくなったようです。
>インストールできなくなってます。

実際にダメだったのか憶測なのか書き込んで欲しいです。
とりあえず自分の経験を

2010年 PC1にDelphiXE2を新規インストール
2015年 PC1削除後 PC2にインストール
メーカーのサポートページからPC移行時の手続きに従い問題無く移行
2019年 PC2削除後 PC3にインストール

メーカーのサポートページからPC移行時の手続きで
登録回数のルールが変わりましたとの連絡。
これの事だと思います。
https://community.idera.com/developer-tools/b/blog/posts/from-the-gm-new-updates-and-changes-ja

Embarrcaderoサポートにも記載されています。
https://www.embarcadero.com/jp/support

手続きが終われば起動出来ましたが
これが最後の1回ということかと思われます。

次回PC4に移行するときには問題になってくるのでしょう
PC3で使えなくなる可能性があるのでまだ試すことは出来ません。

インストール順の問題もあるかと思いますが
DelphiXE2から順番にインストールしていきましたが
移行の対応はXE2のみで、その他のバージョンはそのまま移行できました。

PCの買換が4年に1回だとしたらそのときぐらいはDelphi最新版買ってくれよ
ってことかもしれませんね。


ウォレス  2019-11-14 16:28:39  No: 148380

>実際にダメだったのか憶測なのか
失礼しました。当方、これからアップデートサブスクリプションを切ろうとしているので試すことはできていません。(上限は1桁だそうですので。。。)
ただし、エンバカデロサポートに直接確認しましたので憶測ではなく、間違いはありません。

その際に確認できたのは、
・上限は1桁程度だが何回かは教えることはできない(なんでやねん!)
・過去の古いDelphiなどでも(なぜか)上限が設定され、上限を超えてインストールはできなくなる。

ただし、救済措置として(急な且つ大きな規約変更であるため)、今後1回は上限を伸ばせるようにする。
また、アップデートサブスクリプションが切れても、1年以内であれば再契約に応じる。(これは以前からかも)

以上です。


take  2019-11-14 16:56:13  No: 148381

サイトを見ても英語を無理矢理翻訳したのかわかりにくくなってますよね。

1.古いバージョンがどこまでのを刺すのか不明
XE2は上限超えましたと出たけど Delphi2007はすんなりとインストールと起動が完了

2.アップデートサブスクリプションが開始されるタイミング
購入時ではないと思うのでサイトに製品登録時なのだと思いますが
Delphiの新しいバージョンを購入しても数年眠らせるタイプなので
そういう場合どうなるんでしょ?

購入後、何ヶ月か以内に登録しないと使えなくなりますよ
と言われてた気もするのですが
購入後5年後に登録しても問題無く使えました。

あと気になったのが申請のフォームから申請してメールが届くのが手動みたいな反応でした。


※返信する前に利用規約をご確認ください。








  このエントリーをはてなブックマークに追加